function varianceMatrix = compute_msn_variance(xi,Omega,alpha)
% Computes the variance matrix of a random variable distributed according to a 
% multivariate Skew-Normal distribution. The function takes as inputs a vector of 
% location parameters \xi, a variance-covariance matrix \Omega and a vector 
% of shape parameters \alpha. See Analytical 6796643 and references 
% therein. Coded by Andrej Sokol on 6 August 2013.

mu = compute_msn_mean(xi,Omega,alpha);
varianceMatrix = Omega-(mu-xi)*(mu-xi)';

end