function cumulativeDensity = two_part_normal_cdf_two_bands(xbottom,xtop,mode,sigma1,sigma2)
% This function returns the cumulative density function for a two part
% normal density

lessThanModeBottom      = (xbottom<=mode);

cumulativeDensityBottom = ...
    2*sigma1/(sigma1+sigma2)*lessThanModeBottom.*normcdf(xbottom,mode,sigma1) + ...
    (sigma1-sigma2)/(sigma1+sigma2)*(~lessThanModeBottom) +...
    2*sigma2/(sigma1+sigma2)*(~lessThanModeBottom).*normcdf(xbottom,mode,sigma2); 

lessThanModeTop      = (xtop<=mode);

cumulativeDensityTop = ...
    2*sigma1/(sigma1+sigma2)*lessThanModeTop.*normcdf(xtop,mode,sigma1) + ...
    (sigma1-sigma2)/(sigma1+sigma2)*(~lessThanModeTop) +...
    2*sigma2/(sigma1+sigma2)*(~lessThanModeTop).*normcdf(xtop,mode,sigma2); 

cumulativeDensity = cumulativeDensityTop - cumulativeDensityBottom;
