% Skew Normal distribution library.
% 
% SN Functions.
%
%   cp_to_dp         - Conversion between equivalent parametrizations. 
%   dmsn             - Multivariate skew-normal distribution. 
%   dp_to_cp         - Conversion between equivalent parametrizations. 
%   dsn              - Skew-Normal Distribution. 
%   gamma1_to_lambda - Converts skewness to shape parameter of skew-normal distribution. 
%   msn_conditional  - Cumulants and distribution of a skew-normal variate after conditioning. 
%   msn_dev          - Deviance for multivariate skew-normal distributions. 
%   msn_fit          - Fitting multivariate skew-normal distributions. 
%   msn_mle          - Maxmimum likelihood estimation for multivariate skew-normal distribution. 
%   msn_quantities   - Quantities related to the multivariate skew-normal distribution. 
%   plot_msn_cond    - Plot of the density of a conditional skew-normal variate. 
%   pnorm2           - Bivariate normal integral. 
%   psn              - Skew-Normal Distribution. 
%   qsn              - Skew-Normal Distribution. 
%   rmsn             - Multivariate skew-normal distribution. 
%   rsn              - Skew-Normal Distribution. 
%   SN               - The library `sn': summary information. 
%   sn_2logL_profile - Profile twice loglikelihood for skew-normal models. 
%   sn_cumulants     - Cumulants of the skew-normal distribution. 
%   sn_dev           - Deviance for skew-normal distributions. 
%   sn_em            - Fitting Skew-normal variables using the EM algorithm. 
%   sn_mle           - Maxmimum likelihood estimation for skew-normal distribution. 
%   T_Owen           - Owen's function. 
%   zeta             - Function `log(2*P(x))' and its derivatives. 

%   This library and its documentation are usable under
%   the terms of the "GNU General Public License".
